// hottopics.js
// NLS_CHARSET=UTF-8
//
// (C) Copyright IBM Corporation, 2003, 2006                        //
// All rights reserved. Licensed Materials Property of IBM          //
// US Government Users Restricted Rights                            //
// Use, duplication or disclosure restricted by                     //
// GSA ADP Schedule Contract with IBM Corp.                         //

//START NON-TRANSLATABLE
//////////////////////////////////////////////////////////////////////
// define simple object.
function hotTopic() {
	args=hotTopic.arguments;
	this.text = args[0];
	this.stext = args[1] || "intentionally blank";
	this.url = args[2] || "";

   this.getText = getText;
   this.getBlurb = getBlurb;
   this.getURL = getURL;
}

function getText() {
	return this.text;
}
function getBlurb(){
	return this.stext;
}
function getURL(){
	return this.url;
}
//
//////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////
// redefine the 'push' function for all browsers.
//if (Array.prototype.push && ([0].push(true)==true))
//        Array.prototype.push = null;

if(!Array.prototype.push) {
    function array_push() {
        for(i=0;i<arguments.length;i++){
            this[this.length] = arguments[i];
        }
        return this.length;
    }

    Array.prototype.push = array_push;

}
//
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// function for generating random number.

var masterHTid=null;
function getHTvalue(aQuotes){
  if (!masterHTid) {
	// select random quote (integer).
	var numRand = Math.random();
	var numQuote = aQuotes.length - 1;
	masterHTid = Math.round((numQuote - 1) * numRand) + 1;
  }
  return masterHTid;
}
//
//////////////////////////////////////////////////////////////////////




//END NON-TRANSLATABLE

//////////////////////////////////////////////////////////////////////
// initialize an array of objects.
var quotes = new Array;
//START QUOTE TRANSLATABLE 1 2
quotes.push(new hotTopic("Using iSeries Navigator for Wireless, you can work with file monitors and B2B activity monitors for your iSeries server.", "Wireless access", "../rzam5/rzam5overview.htm"));
quotes.push(new hotTopic("You can connect and communicate with your iSeries servers using a variety of devices including mobile telephones, remote consoles, and iSeries Navigator.", "Connecting to iSeries", "./rzahgicinterface.htm"));
quotes.push(new hotTopic("You can create SQL statements in iSeries Navigator using the SQL Assist function.", "SQL Assist", "../rzatc/rzatcsqlassist.htm"));
//quotes.push(new hotTopic("Advisors in Visual Explain provide advice on creating indexes and collecting statistics for a given SQL query.", "Visual Explain", "../rzajq/rzajqmststatsmanager.htm"));
quotes.push(new hotTopic("A \"Before you call service\" topic can help you solve database problems or determine whether you need to call for service.", "Database", "../rzate/rzatebycs.htm"));
//quotes.push(new hotTopic("iSeries hardware information is included in the iSeries Information Center.", "Hardware", "./rzahghardware.htm"));
//quotes.push(new hotTopic("You can learn about installing hardware and software, upgrading to a different OS/400 release, and migrating from one server to another.", "Installation, upgrades, and migration", "./rzahgupgrademigration.htm"));
quotes.push(new hotTopic("There are two scenarios to help you determine how best to employ Digital Certificate Manager to fulfill your security goals.", "DCM", "../rzahu/rzahudcmscenariosoverview.htm#HDRDCMSCENARIOSOVERVIEW"));
quotes.push(new hotTopic("The API finder helps you quickly search for APIs by name, by category, and by new or changed API.", "APIs", "../apifinder/name_finder.htm"));
quotes.push(new hotTopic("Enterprise Identity Mapping (EIM) can simplify user identity and registry management.", "EIM", "../rzalv/rzalvmst.htm"));
quotes.push(new hotTopic("The CL command finder can help you quickly locate CL commands by description or by name.", "CL", "../clfinder/name_finder.htm"));
//quotes.push(new hotTopic("You can find information about system reference code (SRC) messages that are displayed on your server when you perform an IPL.", "System reference codes", "../rzamf/rzamfiplsrcfinder.htm"));
quotes.push(new hotTopic("You can write Java programs that run on wireless devices using the IBM Toolbox for Java 2 Micro Edition.", "Java for wireless", "../rzahh/micromain.htm"));
quotes.push(new hotTopic("You can learn about different availability strategies using the Availability roadmap.", "Availability roadmap", "../rzalw/rzalwoverview.htm"));
quotes.push(new hotTopic("Make choices about which storage technologies are right for your company now, and which may be useful in the future.", "Storage solutions", "../rzam4/rzam4overview.htm"));
quotes.push(new hotTopic("You can journal objects on library-capable independent disk pools.", "Journals and disk pools", "../rzaki/rzakiiasp.htm"));
quotes.push(new hotTopic("You can use a graphical wizard in iSeries Navigator to configure a logical partition.", "Configure a logical partition", "../rzalm/rzalmconfig.htm"));
quotes.push(new hotTopic("You can dynamically move shared processor units among guest partitions so that you can adjust partitions to changing workloads.", "Adjust partitions", "../rzalm/rzalmunits.htm"));
quotes.push(new hotTopic("You can install Linux images from ISO CD-ROM file stored in the integrated file system.", "Install Linux from IFS", "../rzalm/rzalmifs.htm"));
quotes.push(new hotTopic("You can view or change system-wide values from basic date and time zone information to security settings.", "System values", "../rzakz/rzakz1.htm"));
quotes.push(new hotTopic("You can use the system value finder to quickly find information about system values.", "System value finder", "../rzakz/rzakzfinder.htm"));
quotes.push(new hotTopic("You can use a time adjustment to gradually speed up or slow down time until it reaches the desired value.", "Time management", "../rzati/rzatikickoff.htm"));
quotes.push(new hotTopic("Quickly and easily search for classes by name and description, or display classes by package or alphabetized list.", "IBM Toolbox for Java class finder", "../rzahh/rzahhfinder.htm"));
quotes.push(new hotTopic("You can activate standby processors that are already installed on your server on a temporary or permanent basis.", "Capacity on Demand", "../rzatq/rzatqcodparent.htm"));
quotes.push(new hotTopic("You can start and stop a network server description using iSeries Navigator.", "Network server description", "../rzalm/rzalmvaryon.htm"));
quotes.push(new hotTopic("Find SQL codes and messages using the SQL message finder.", "SQL message finder", "../rzala/rzalafinder.htm"));
quotes.push(new hotTopic("Explore and submit feedback on the new beta information center framework.", "information center beta", "./rzahgicframeworkbeta.htm"));
//END QUOTE TRANSLATABLE
// end array of objects
//////////////////////////////////////////////////////////////////////

//START QUOTE TRANSLATABLE
var strDidYouKnowHeader = "<H2>Did you know?<\/H2>";
var sDidYouKnow = "&nbsp;&nbsp;Did you know?";
var sSeeAllTips = "See all the tips";
//END QUOTE TRANSLATABLE

//START NON-TRANSLATABLE
//////////////////////////////////////////////////////////////////////
// begin execution path
var HTid=getHTvalue(quotes);
// end execution path
//////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////
// suport functions
//////////////////////////////////////////////////////////////////////
// functions to create formatted strings and write to document.
function getHotTopic(){
	result = '<A href="'+quotes[HTid].getURL()+'">'+quotes[HTid].getText()+'<\/A>';
	return result;
}
function getHotTopic2(){
	result = '<A href="'+quotes[HTid].getURL()+'"><IMG src="../images/fw.gif" width="16" height="17" vspace="0" hspace="0" border="0" alt=""\/><\/A> ';
	return result;

}
function getHotTopic3(){
	result = '<A href="'+quotes[HTid].getURL()+'">'+quotes[HTid].getBlurb()+'<\/A>';
	return result;

}
function dumpHotTopics(){
	document.writeln(strDidYouKnowHeader);
	document.writeln('<BLOCKQUOTE>');
	for ( ht in quotes ) {
		result = '<P class="frontendbarlink" style="width: 100%;"><A href="'+quotes[ht].url+'">'+quotes[ht].stext+'<\/A><\/P>';
		result += '<P>'+quotes[ht].text+'<\/P>';
		document.writeln(result);
	}
	document.writeln('<\/BLOCKQUOTE>');
}
//////////////////////////////////////////////////////////////////////
// This hideous function is a work around for Netscape 4.x.  The function 
// creates the WHOLE callout box. Since, we cannot call a function from within
// a TD in Netscape 4.x, we cannot do the getHotTopic() calls in a callout box
// within the HTML.  That would result in an empty callout box. So we have a
// 'parent' function call in the HTML that creates the whole callout box.
// This function is not executed in Netscape 4.x, so there is no empty calloutbox.  QED.
function doDidYouKnow(){
	var result=getHotTopic();
	result+='<br>';
	result+=getHotTopic2();
	result+=getHotTopic3();
	result+='<br>';
	result+='       <A href="./hottopics.htm"><IMG src="../images/fw.gif" width="16" height="17" vspace="0" hspace="0" border="0" alt=""><\/A> ';
//result+='       <A href="./hottopics.htm" class="fbox">'+sSeeAllTips+'</A>';
	result+='       <A href="./hottopics.htm">'+sSeeAllTips+'<\/A>';
	document.open();
	document.write(result);
	document.close();
}

//END NON-TRANSLATABLE
